uk.gov.hmrc.domain.TaxCodeFormats

# TaxCodeReads

###
Related Doc: package TaxCodeFormats

#### class TaxCodeReads extends Reads[TaxCode]

Linear Supertypes
Reads[TaxCode], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TaxCodeReads
2. Reads
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TaxCodeReads()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def andThen[B](rb: Reads[B])(implicit witness: <:<[TaxCode, JsValue]): Reads[B]

   Definition Classes
     Reads

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def collect[B](error: JsonValidationError)(f: PartialFunction[TaxCode, B]): Reads[B]

   Definition Classes
     Reads

8. #### def compose[B <: JsValue](rb: Reads[B]): Reads[TaxCode]

   Definition Classes
     Reads

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def filter(error: JsonValidationError)(f: (TaxCode) ⇒ Boolean): Reads[TaxCode]

    Definition Classes
      Reads

12. #### def filter(f: (TaxCode) ⇒ Boolean): Reads[TaxCode]

    Definition Classes
      Reads

13. #### def filterNot(error: JsonValidationError)(f: (TaxCode) ⇒ Boolean): Reads[TaxCode]

    Definition Classes
      Reads

14. #### def filterNot(f: (TaxCode) ⇒ Boolean): Reads[TaxCode]

    Definition Classes
      Reads

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def flatMap[B](f: (TaxCode) ⇒ Reads[B]): Reads[B]

    Definition Classes
      Reads

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def map[B](f: (TaxCode) ⇒ B): Reads[B]

    Definition Classes
      Reads

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def orElse(v: Reads[TaxCode]): Reads[TaxCode]

    Definition Classes
      Reads

25. #### def reads(json: JsValue): JsResult[TaxCode]

    Definition Classes
      TaxCodeReads → Reads

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Reads[TaxCode]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped